extends Node

func load_articles() -> Dictionary[String, ArticleInfo]:
	var article_infos: Dictionary[String, ArticleInfo] = {}
	
	for i in range(10):
		var id = "default_" + var_to_str(i)
		var info = ArticleInfo.new(
			id,
			"Artikel " + var_to_str(i),
			load("res://icon.svg"),
			0.1 * i
		)
		article_infos[id] = info
	
	return article_infos
